Summary:	Another popular Unix IRC client
Summary(pl.UTF-8):	Jeszcze jeden popularny uniksowy klient IRC
Name:		epic4
Version:	2.10.6
Release:	6
License:	distributable
Group:		Applications/Communications
Source0:	ftp://ftp.epicsol.org/pub/ircii/EPIC4-PRODUCTION/%{name}-%{version}.tar.xz
# Source0-md5:	1934d9dea697ac7d15cb085df96e8c2f
Source1:	ftp://ftp.epicsol.org/pub/ircii/EPIC4-PRODUCTION/%{name}-help-20050315.tar.gz
# Source1-md5:	9888d1af465ca72bf9a02487264071a5
Source2:	epic.desktop
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-gethostname_is_in_libc_aka_no_libnsl.patch
Patch2:		%{name}-config_file_path.patch
Patch3:		gcc10.patch
Patch4:		perl-config.patch
URL:		http://www.epicsol.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	perl-devel
Conflicts:	lice <= 4.2.0-5
Obsoletes:	epic
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EPIC is the (E)nhanced (P)rogrammable (I)RC-II (C)lient. It is a
program used to connect to IRC servers around the globe so that the
user can "chat" with others.

%description -l pl.UTF-8
EPIC to rozsz(E)rzony (P)rogramowalny kl(I)ent IR(C)-II. Jest to
program wykorzystywany do łączenia się z serwerami IRC na całym
świecie umożliwiając porozumiewanie się z innymi.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--with-ipv6 \
	--with-perl
%{__make} epicdir=%{_datadir}/epic

%install
rm -rf $RPM_BUILD_ROOT
install -d  $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	epicdir=%{_datadir}/epic

cp -rp help $RPM_BUILD_ROOT%{_datadir}/epic

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc UPDATES KNOWNBUGS BUG_FORM doc/color.txt doc/colors doc/TS4 doc/EPIC*
%attr(755,root,root) %{_bindir}/epic
%attr(755,root,root) %{_bindir}/epic-EPIC4*
%dir %{_libexecdir}/epic
%attr(755,root,root) %{_libexecdir}/epic/wserv4
%{_datadir}/epic
%{_mandir}/man1/epic.*
%{_desktopdir}/*.desktop
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/epic4.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 311f4a8
- perl 5.38.0 rebuild

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 24181e9
- Release 5 (by relup.sh)

* Fri Aug 26 2022 Jan Rękorajski <baggins@pld-linux.org> 2fe6836
- remove broken perl misdetection

* Fri Aug 26 2022 Jan Rękorajski <baggins@pld-linux.org> 260c660
- make sure perl support is enabled, rel 4

* Sun Oct 24 2021 Jan Rękorajski <baggins@pld-linux.org> c0a9d39
- fix building with gcc 10+, rebuild with openssl 3.0.0, rel 3

* Sat Feb 15 2020 Jan Rękorajski <baggins@pld-linux.org> f860335
- release 2 (by relup.sh)

* Sun Sep 23 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b82564
- up to 2.10.6

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 20086b0
- release 11 (by relup.sh)

* Tue Aug 21 2018 Jan Rękorajski <baggins@pld-linux.org> c39f4dd
- release 10 (by relup.sh)

* Fri Dec 16 2016 Jan Rękorajski <baggins@pld-linux.org> 3aa4a4f
- release 9 (by relup.sh)

* Thu Jun 23 2016 Jan Rękorajski <baggins@pld-linux.org> fa94815
- release 8 (by relup.sh)

* Tue Oct 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 663f5f5
- release 7 (by relup.sh)

* Sun Jun 30 2013 Jan Rękorajski <baggins@pld-linux.org> e4d3b77
- release 6 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 220df69
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d0ce2af
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d403a99
- release 3

* Sat Sep 12 2009 radek <radek@pld-linux.org> 48144ca
- release 2: strict DynaLoader dep no longer required

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 59f3e60
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0f3ea21
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a44afa1
- converted to UTF-8

